## GwyGraphWindow GwyGraphWindow — Graph display window |

## Functions

GtkWidget * | gwy_graph_window_new ()
GtkWidget * | gwy_graph_window_get_graph ()
GtkWidget * | gwy_graph_window_get_graph_data ()
GtkWidget * | gwy_graph_window_get_graph_curves ()
void | gwy_graph_window_class_set_tooltips ()
GtkTooltips * | gwy_graph_window_class_get_tooltips ()

## Types and Values

struct | GwyGraphWindow
struct | GwyGraphWindowClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GwyGraphWindow

## Implemented Interfaces

GwyGraphWindow implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

GwyGraphWindow encapsulates a GwyGraph together with other controls and graph data view. You can create a graph window for a graph with `gwy_graph_window_new()`.

## Functions

### gwy_graph_window_new ()

    GtkWidget *
    gwy_graph_window_new (GwyGraph *graph);

Creates a new window showing `graph` .

#### Parameters

graph | A GwyGraph object containing the graph. |

#### Returns

A newly created graph window as GtkWidget.

### gwy_graph_window_get_graph ()

    GtkWidget *
    gwy_graph_window_get_graph (GwyGraphWindow *graphwindow);

Gets the graph widget a graph window currently shows.

#### Parameters

graphwindow | A graph window. |

#### Returns

The currently shown GwyGraph.

### gwy_graph_window_get_graph_data ()

    GtkWidget *
    gwy_graph_window_get_graph_data (GwyGraphWindow *graphwindow);

Gets the graph data widget of a graph window.

#### Parameters

graphwindow | A graph window. |

#### Returns

The GwyGraphData widget of this graph window. Its model and column layout must be considered private.

Since: 2.5

### gwy_graph_window_get_graph_curves ()

    GtkWidget *
    gwy_graph_window_get_graph_curves (GwyGraphWindow *graphwindow);

Gets the graph curves widget of a graph window.

#### Parameters

graphwindow | A graph window. |

#### Returns

The GwyGraphCurves widget of this graph window. Its model and column layout must be considered private.

Since: 2.5

### gwy_graph_window_class_set_tooltips ()

    void
    gwy_graph_window_class_set_tooltips (GtkTooltips *tips);

`gwy_graph_window_class_set_tooltips` is deprecated and should not be used in newly-written code.

Sets the tooltips object to use for adding tooltips to graph window parts.

This function does not do anything useful. Do not use it.

This is a class method. It affects only newly created graph windows, existing graph windows will continue to use the tooltips they were constructed with.

If no class tooltips object is set before first GwyGraphWindow is created, the class instantiates one on its own. You can normally obtain it with `gwy_graph_window_class_get_tooltips()` then. The class takes a reference on the tooltips in either case.

#### Parameters

tips | GtkTooltips object GwyGraphWindow should use for setting tooltips. A `NULL` value disables tooltips altogether. |

### gwy_graph_window_class_get_tooltips ()

    GtkTooltips *
    gwy_graph_window_class_get_tooltips (void);

`gwy_graph_window_class_get_tooltips` is deprecated and should not be used in newly-written code.

Gets the tooltips object used for adding tooltips to Graph window parts.

This function does not do anything useful. Do not use it.

#### Returns

The GtkTooltips object. (Do not free).

## Types and Values

### struct GwyGraphWindow

    struct GwyGraphWindow;

### struct GwyGraphWindowClass

    struct GwyGraphWindowClass {
        GtkWindowClass parent_class;

        void (*reserved1)(void);
        void (*reserved2)(void);
        void (*reserved3)(void);
        void (*reserved4)(void);
    };